#ifndef BSPoctree_h
#define BSPoctree_h

#include "BSP.h"
#include "List.h"

class BSPoctree
{
public:

	BSPoctree();
	~BSPoctree();

	// creates octree node with 3 axis-aligned planes already
	// inserted
	BSPoctree( const BoundingBox& bb );

	void insert( Face& face );
	void split();

private:

	BSPtree *bspTree;
	int polyCount;
	BSPoctree **children;
	BSPoctree *parent;
	BoundingBox bb;
};



#endif