#include "Sample.h"

Sample::Sample() 
: worldCoords(0.0), worldNormal(0.0), eye(0.0), texCoords3d(0.0), texCoords2d(0.0)
{
}

Sample::Sample( const vec3& worldC, const vec3& worldN, const vec3& e, const vec3& tex3d, const vec2& tex2d )
: worldCoords(worldC), worldNormal(worldN), eye(e), texCoords3d(tex3d), texCoords2d(tex2d)
{
}
